using Godot;
using System;

public partial class hud : Control
{
    private Label _score = new();
    private Label _flightAssist = new();

    public override void _Ready()
    {
        _score = GetNode<Label>("Layout/Score");
        _score.Text = "SCORE: 0";
        // Keeping health being initialised in game.cs

        _flightAssist = GetNode<Label>("Layout/FlightAssist");
        _flightAssist.Text = "FA: ON"; // Should be on by default
    }
}